| Home | Libraries | People | FAQ | More

## Macro BOOST_CONTRACT_ALL_DISABLE_NO_ASSERTION

BOOST_CONTRACT_ALL_DISABLE_NO_ASSERTION — Define this macro to not disable any assertion while checking other assertions (undefined by default).

## Synopsis

    // In header: <boost/contract/core/config.hpp>

    BOOST_CONTRACT_ALL_DISABLE_NO_ASSERTION

## Description

Not disabling assertions while checking other assertions can lead to infinite recursion in user code so by default this macro is not defined. (Defining this macro automatically implies that other assertion checking is disabled while checking preconditions as if `BOOST_CONTRACT_PRECONDITIONS_DISABLE_NO_ASSERTION` was also defined.)

See Also:

Feature Summary